#!/bin/bash

cd ~/

echo "make new directory"
mkdir teeworlds

echo "cd into directory"
cd teeworlds

echo "downloading game"
wget https://github.com/teeworlds/teeworlds/releases/download/0.7.5/teeworlds-0.7.5-linux_x86_64.tar.gz

echo "extract files"
tar -xf teeworlds-0.7.5-linux_x86_64.tar.gz

echo "cd into dir"
cd teeworlds-0.7.5-linux_x86_64

echo "downloading config"
cp ~/git/onFOSS-LAN-Serverconfiguration/teeworlds/configs/* .

echo "starting fun-Server"
nohup ./teeworlds_srv -f serverconfig.cfg &>/dev/null &


echo "starting tournament-Servers"
nohup ./teeworlds_srv -f tournament_1.cfg &>/dev/null &
nohup ./teeworlds_srv -f tournament_2.cfg &>/dev/null &
nohup ./teeworlds_srv -f tournament_3.cfg &>/dev/null &

