#!/bin/bash

cd ~/

echo "make new directory"
mkdir unvanquished

echo "cd directory"
cd unvanquished

echo "start download"

wget https://github.com/Unvanquished/Unvanquished/releases/download/v0.52.1/unvanquished_0.52.1.zip

echo "Extract this archive"

unzip unvanquished_0.52.1.zip

echo "Enter the unvanquished folder"

cd unvanquished_0.52.1

echo "Extract the engine archive"

unzip linux-amd64.zip

echo "Create a script to ease starting a server, create the file and give it proper permissions"

touch startsrv
chmod +x startsrv

echo "Write the script content this way"

echo './daemonded -homepath home +exec server.cfg' > startsrv

echo "create a folder called home in the unvanquished folder"

mkdir home

echo "Create a folder called config in the home folder"

mkdir home/config

echo "copy the config/server.cfg sample file"

cp ~/git/onFOSS-LAN-Serverconfiguration/unvanquished/server.cfg home/config/

echo "Create a folder called game in the home folder"

mkdir home/game

echo "copy the game/maprotation.cfg sample file"
cp ~/git/onFOSS-LAN-Serverconfiguration/unvanquished/maprotation.cfg home/game/


nohup ./startsrv &>/dev/null &

